ViennaCL - The Vienna Computing Library: tests/src/sparse.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
sparse.cpp File Reference
`#include <iostream>`
`#include <vector>`
`#include <map>`
`#include <cmath>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/compressed_matrix.hpp"`
`#include "viennacl/compressed_compressed_matrix.hpp"`
`#include "viennacl/coordinate_matrix.hpp"`
`#include "viennacl/ell_matrix.hpp"`
`#include "viennacl/sliced_ell_matrix.hpp"`
`#include "viennacl/hyb_matrix.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/vector_proxy.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/ilu.hpp"`
`#include "viennacl/linalg/detail/ilu/common.hpp"`
`#include "viennacl/io/matrix_market.hpp"`
`#include "viennacl/tools/random.hpp"`

Go to the source code of this file.

## Functions
template<typename ScalarType >
ScalarType | diff (ScalarType &s1, viennacl::scalar< ScalarType > &s2)
template<typename ScalarType >
ScalarType | diff (std::vector< ScalarType > &v1, viennacl::vector< ScalarType > &v2)
template<typename IndexT , typename NumericT , typename SparseMatrixT >
NumericT | diff (std::vector< std::map< IndexT, NumericT > > &cpu_A, SparseMatrixT &vcl_A)
template<typename NumericT , typename VCL_MatrixT , typename Epsilon , typename STLVectorT , typename VCLVectorT >
int | strided_matrix_vector_product_test (Epsilon epsilon, STLVectorT &result, STLVectorT const &rhs, VCLVectorT &vcl_result, VCLVectorT &vcl_rhs)
template<typename NumericT , typename VCL_MATRIX , typename Epsilon >
int | resize_test (Epsilon const &epsilon)
template<typename NumericT , typename Epsilon >
int | test (Epsilon const &epsilon)
int | main ()

## Detailed Description

Tests sparse matrix operations.

Test:
  Tests sparse matrix operations.

Tests sparse matrix operations.

Test:
  Tests sparse matrix operations.

Definition in file sparse.cpp.

## Function Documentation

template<typename ScalarType >

ScalarType diff | ( | ScalarType & | s1,
|  | viennacl::scalar< ScalarType > & | s2
| ) |  |

Definition at line 57 of file sparse.cpp.

template<typename ScalarType >

ScalarType diff | ( | std::vector< ScalarType > & | v1,
|  | viennacl::vector< ScalarType > & | v2
| ) |  |

Definition at line 65 of file sparse.cpp.

template<typename IndexT , typename NumericT , typename SparseMatrixT >

NumericT diff | ( | std::vector< std::map< IndexT, NumericT > > & | cpu_A,
|  | SparseMatrixT & | vcl_A
| ) |  |

Definition at line 101 of file sparse.cpp.

int main | ( |  | ) |

Examples:
  sparse.cpp.

Definition at line 1076 of file sparse.cpp.

template<typename NumericT , typename VCL_MATRIX , typename Epsilon >

int resize_test | ( | Epsilon const & | epsilon | ) |

Definition at line 213 of file sparse.cpp.

template<typename NumericT , typename VCL_MatrixT , typename Epsilon , typename STLVectorT , typename VCLVectorT >

int strided_matrix_vector_product_test | ( | Epsilon | epsilon,
|  | STLVectorT & | result,
|  | STLVectorT const & | rhs,
|  | VCLVectorT & | vcl_result,
|  | VCLVectorT & | vcl_rhs
| ) |  |

Definition at line 156 of file sparse.cpp.

template<typename NumericT , typename Epsilon >

int test | ( | Epsilon const & | epsilon | ) |

Definition at line 318 of file sparse.cpp.